package com.icloud.server.payutils;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

public class tt {
    public static void main(String[] args) {
        String d="2022-08-02 00:00:00";
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        Date time = new Date(); // 获取当前时间
        String format = sdf.format(time);// 格式化时间

        try {
            Date d1 = sdf.parse(d);
            long time1 = d1.getTime();
            System.out.println("time1:"+time1);
        } catch (ParseException e) {
            throw new RuntimeException(e);
        }

        // 时间转换为时间戳
        // getTime返回自1970年01月01日00时00分00秒(北京时间1970年01月01日08时00分00秒)起至现在的总毫秒数.
        // 时间戳是指自1970年01月01日00时00分00秒(北京时间1970年01月01日08时00分00秒)起至现在的总秒数
        // 单位换算：1秒=1000毫秒
        long timestamp = time.getTime() / 1000L;
        System.out.println("当前时间："+time);
        System.out.println("当前时间（格式化）："+format);
        System.out.println("当前时间戳："+timestamp);

    }
}
